# Uses of Class
serp.bytecode.lowlevel.Entry

Packages that use Entry
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.lowlevel
Lowlevel Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of Entry in serp.bytecode

Methods in serp.bytecode that return Entry
Modifier and Type
Method
Description
`Entry[]`
BootstrapMethodElement.`getBootstrapArguments()`
Methods in serp.bytecode with parameters of type Entry
Modifier and Type
Method
Description
`void`
BootstrapMethodElement.`setBootstrapArguments(Entry[] bsArgs)`

## Uses of Entry in serp.bytecode.lowlevel

Subclasses of Entry in serp.bytecode.lowlevel
Modifier and Type
Class
Description
`class`
`ClassEntry`
A constant pool entry describing a class.
`class`
`ComplexEntry`
Base class for field, method, and interface method constant pool entries.
`class`
`DoubleEntry`
A constant double value in the constant pool.
`class`
`FieldEntry`
A reference to a class field.
`class`
`FloatEntry`
A constant float value in the constant pool.
`class`
`IntEntry`
A constant int value in the constant pool.
`class`
`InterfaceMethodEntry`
A reference to an interface method.
`class`
`InvokeDynamicEntry`
InvokeDynamic u1 tag u2 bootstrap_method_attr_index // References entry in Bootstrap Methods table u2 name_and_type_index // References NameAndTypeEntry representing method name and descriptor
`class`
`LongEntry`
A long constant in the constant pool.
`class`
`MethodEntry`
A reference to a class method.
`class`
`MethodHandleEntry`
MethodHandle u1 tag u1 reference_kind u2 reference_index
`class`
`MethodTypeEntry`
MethodType u1 tag u2 descriptor_index
`class`
`NameAndTypeEntry`
Entry containing indexes referencing a name and a descriptor.
`class`
`StringEntry`
A String constant in the constant pool.
`class`
`UTF8Entry`
A unicode string value in the constant pool.
Methods in serp.bytecode.lowlevel that return Entry
Modifier and Type
Method
Description
`static Entry`
Entry.`create(int type)`
Create an entry based on its type code.
`Entry[]`
ConstantPool.`getEntries()`
Return all the entries in the pool.
`Entry`
ConstantPool.`getEntry(int index)`
Retrieve the entry at the specified 1-based index.
`Entry`
MethodHandleEntry.`getReference()`
The Entry Type depends on both the reference kind and the Class Version (CV).
`static Entry`
Entry.`read(DataInput in)`
Read a single entry from the given bytecode stream and returns it.
Methods in serp.bytecode.lowlevel with parameters of type Entry
Modifier and Type
Method
Description
`int`
ConstantPool.`addEntry(Entry entry)`
Add an entry to the pool.
`int`
ConstantPool.`indexOf(Entry entry)`
Return the index of the given entry, or 0 if it is not in the pool.
`boolean`
ConstantPool.`removeEntry(Entry entry)`
Remove the given entry from the pool.
`static void`
Entry.`write(Entry entry, DataOutput out)`
Write the given entry to the given bytecode stream.

## Uses of Entry in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type Entry
Modifier and Type
Method
Description
`void`
BCVisitor.`enterEntry(Entry obj)`
`void`
PrettyPrintVisitor.`enterEntry(Entry obj)`
`void`
BCVisitor.`exitEntry(Entry obj)`
`void`
PrettyPrintVisitor.`exitEntry(Entry obj)`